Skip to main content
PATCH
/
v1
/
chatting
/
{chatbotId}
/
message
/
{messageId}
Edit Message
curl --request PATCH \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatting/{chatbotId}/message/{messageId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>"
}
'
{
  "success": true,
  "message": "Message updated successfully",
  "data": {
    "message": {
      "id": "<string>",
      "threadId": "<string>",
      "chatbotId": "<string>",
      "messageType": "AGENT_MESSAGE",
      "systemMessageType": "<string>",
      "content": "<string>",
      "contentTimestamp": "2023-11-07T05:31:56Z",
      "agentName": "<string>",
      "parentMessageId": "<string>",
      "llmModelId": "<string>",
      "reaction": "<string>",
      "source": [
        {}
      ],
      "isEdited": true,
      "editedBy": "<string>",
      "editedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
Example:

"361628903185318481"

messageId
string
required
Example:

"msg-uuid"

Body

application/json
content
string
required

The new message content

Response

Message updated successfully

success
boolean
Example:

true

message
string
Example:

"Message updated successfully"

data
object